Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IEquatable<Mono.Unix.Native.Stat> Every file has a unique INODE data structure. Mono's managed representation is the Stat struct. the and methods return the Stat struct as an output parameter. See stat(2) for more information. Not all filesystems implement all of the time fields and certain mount types can affect the ATime value as well. See mount(8) for more information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Last access time.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Contains the preferred block size for efficient file system I/O.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Blocks gives the size of the file in 512-byte blocks. This may be smaller than Size/512 e.g. when the file has holes.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Creation time.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 A device number on which the file resides.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt32 Group ID.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 The inode number of file on disk.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.Native.FilePermissions The file permissions/protection.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Time of last modification.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 The number of pathnames or links that reference this inode.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 Device type (if inode device).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Size gives the size of the file in bytes. If the file is a symlink and was used, then this is the length of the pathname it contains without trailing null.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt32 The owner user ID. To be added.